
v. 8.112 - 2023.04.30

* Мелкие исправления и дополнения.
* Улучшено качество переводов текстов с помощью ChatGPT.
* Добавлены новые языка для страницы проверки.
* Актуализированы тексты и подсказки в админке.
* Раздел Query Log переименован в Access Log.

------------------------------------------------------------------------

v. 8.111 - 2023.04.22

* Исправлена ошибка: Undefined array key "table" и "id".

------------------------------------------------------------------------

v. 8.110 - 2023.04.14

* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.109 - 2023.04.05

* Исправлено отображение больших и однострочных errorlog.txt
* Добавлена возможность включить серверный заголовок X-Robots-Tag: noarchive
* В конфиг добавлено "последнее правило", которое сработает последним, если не сработало ни одно из правил.
* Улучшена защита от клик ботов.
* Обновлены GEO базы.

------------------------------------------------------------------------

v. 8.108 - 2023.03.21

* Добавлена возможность редактировать правила.
* Исправлена ошибка: Call to a member function querySingle() on null (0)
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.106 - 2023.03.09

* Обновлены GEO базы.
* Исправлен неправильный комментарий о причине блокировки.

------------------------------------------------------------------------

v. 8.105 - 2023.03.07

* Значительно ускорена работа для авторизованных посетителей (которые со статусом LOCAL).
* Новое правило DARK, которое как GRAY, только цикл проверок останавливается когда попадется DARK.
* Добавлено кэширование PTR запросов, значительно ускорена работа при повторных запросах.
* Исправлено определение времени работы скрипта при удалении логов по крону.
* Добавлена возможность удалять логи за квартал.
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.103 - 2023.02.19

* Исправление ошибки в правилах (срабатывали выключенные правила в 3 и 4 таблице).

------------------------------------------------------------------------

v. 8.102 - 2023.01.16

* Оптимизирована работа скриптов.

------------------------------------------------------------------------

v. 8.101 - 2023.01.13

* Исправлены ложные повторные срабатывания проверки при мобильном трафике с www.google.com в Chrome.

------------------------------------------------------------------------

v. 8.028 - 2023.01.13

* Переходная версия для обновления далее.

------------------------------------------------------------------------

v. 8.027 - 2023.01.12

* Статус POST переименован в более логичное CLICK.
* Добавлен статус MISS - кликнувшие по неправильной кнопке.
* Добавлено автовосстановление базы (со стиранием логов) при ошибке: database disk image is malformed.
* Улучшена точность подсчета в разделе статистики.
* Улучшена работа на медленных HDD, ошибок database is locked должно стать меньше (в post.php и upd.php).
* Оптимизирована работа скриптов.

------------------------------------------------------------------------

v. 8.026 - 2022.12.24

* Изменена форма поиска по логу (поиск по конкретной дате).
* Улучшена скорость работы страниц "Топ" и "Лог запросов".
* Добавлена возможность блокировать по ClientID из Яндекс.Метрика.
* Добавлена возможность блокировать по ClientID из Google Analytics.
* Исправлены ошибки импорта правил.
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.025 - 2022.11.25

* Добавлен новый вид кнопок в виде картинок.
* Срок бана за неправильное нажатие можно указывать с точностью до минуты (настройка в конфиге).
* Исправлена совместимость с метрикой и вебвизором, теперь не надо добавлять в правила записи с этим связанные.
* В tpl.txt увеличена ширина основного контента.
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.024 - 2022.10.31

* Добавлена возможность обновлять error.txt по аналогии с tpl.txt
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.023 - 2022.10.26

* На странице "Статистика" добавлена кнопка удаления всех записей.
* Для ALLOW в логе добавлена информация о правиле, по которому было разрешено.
* Добавлена самоочистка базы уников unique.db от старых записей.
* Добавлен экспорт выборки из лога в .csv файл.
* Исправлена обработка email при авторизации (перевод в нижний регистр).
* Обновлены GEO базы.
* Обновлены CSS стили админ панели.
* Добавлена возможность включать/выключать правила без их удаления.
* Добавлена статистика по подсетям (ipv4/24 и ipv6/64) в логе и в топ.
* Добавлен лог авторизаций в админке (успешные и не успешные).
* Добавлен экспорт/импорт правил, а также удаление всех правил одним кликом.
* Ускорен поиск по GEO базе.
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.022 - 2022.09.19

* Обновлены гео базы.

------------------------------------------------------------------------

v. 8.021 - 2022.09.07

* Обновлены гео базы.
* Улучшена защита от распознавания цветных кнопок.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.020 - 2022.08.25

* Значительно улучшено определение иностранных ботов, proxy, vpn, tor.
* Удален "хостинг фильтр", он теперь работает у всех по умолчанию.
* Исправлено затирание ответа из облака при логировании POST статуса.
* Обновлены гео базы.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.019 - 2022.07.14

* Исправлен конфликт фаервола Cloudflare и браузера Firefox (появлялось всплывающее окно с подтверждением действий).

------------------------------------------------------------------------

v. 8.018 - 2022.07.10

* Исправлено ведение счетчиков статистики LOCAL.
* Оптимизирована работа некоторых скриптов.
* Изменен формат cid (теперь это число без точки).

------------------------------------------------------------------------

v. 8.017 - 2022.07.06

* Исправлена ситуация, при которой появлялась не критичная ошибка в логе связанная с CURLOPT_FOLLOWLOCATION.
* Исправлен редкий конфликт с Cloudflare и POST запросами после прохождения JS Challenge.
* Добавлен вывод в админке информация о тарифе и ссылка на вход в кабинет клиента.
* Удалено ведение отдельной статистики по боту Baidu, т.к. бот не популярен.
* Улучшена защита от обнаружения кнопок ботами.
* Исправлена ошибка возникающая при отсутствии php функции imagecreatetruecolor (когда не установлена GD library).
* Исправлена ошибка: PHP Warning:  Undefined array key "path" in...
* Исправлена ошибка: PHP Warning:  dns_get_record(): A temporary server error occurred.
* Прочие исправления и дополнения.

------------------------------------------------------------------------

v. 8.016 - 2022.06.01

* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.015 - 2022.05.25

* Доработан .htaccess (на некоторых конфигурациях apache при установке появлялась ошибка 500 в папке антибота).
* Удален цвет PURPLE (но его и не должно было быть, если вы его вручную не прописывали в data/code.php).
* Доработано отображение цветных кнопок при темном режиме браузера (Dark mode).
* Доработаны стили отображения таблиц в админке для мобильных устройств.
* Настройки cron перенесены с главной страницы в конфиг.
* Период за который удалять лог через cron теперь настраивается в конфиге, а не в теле cron команды.
* Добавлено отображение в админке лога php ошибок и возможность его удалить, если они появились.

------------------------------------------------------------------------

v. 8.014 - 2022.05.06

* Множество мелких исправлений и дополнений.
* Создание бекапа и восстановление из бекапа базы. Для PHP 7.4 и выше.

------------------------------------------------------------------------

v. 8.013 - 2022.05.02

* Для посетителей из Китая (CN) рекапча не будет проверяться, даже если она включена в конфиге. 

------------------------------------------------------------------------

v. 8.012 - 2022.05.01

* Добавлен счетчик посещаемости (уников и хитов).
* Добавлен лог запусков cron.
* Добавлено 17 новых языков для страницы проверки.
* В лог запросов добавлена информация о количестве результатов и уник ip.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.011 - 2022.04.27

* Добавлен второй пароль для входа в админку (двухфакторная аутентификация), настроить можно в конфиге.
* На странице статистики счетчик не будет уходить в минус. Статистика будет обновляться при заходе.
* Memcached больше не нужен для ведения счетчиков статистики.
* Статистика будет работать без мемкешед у всех по умолчанию.
* Изменены тексты и переводы страницы проверки.

------------------------------------------------------------------------

v. 8.010 - 2022.04.25

* Добавлена возможность настройки правильного определения ip посетителя, если он не определился автоматически.

------------------------------------------------------------------------

v. 8.009 - 2022.04.22

* Доработан .htaccess в папке антибота для корректного подключения сайтов через корневой .htaccess
* Для страницы проверки добавлены языки: арабский, персидский, малайский.
* Если IP заблокирован на время меньше суток, то при наличии в error.txt тега 
<!--ip_ban_msg--> будет выводиться сообщение, сколько минут осталось до разблокировки.
* Если включен бан за неправильное нажатие по кнопкам - об этом будет уведомление под кнопками на странице проверки.

------------------------------------------------------------------------

v. 8.008 - 2022.04.19

* Доработан 5 раздел правил, прошедший по ним по ALLOW теперь получает cookie как успешно прошедший.
* Исправлена работа с cookie (возникало в редких экзотических случаях на старых девайсах).

------------------------------------------------------------------------

v. 8.007 - 2022.04.18

* Исправлена ошибка входа при отключенном Main логе.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.006 - 2022.04.17

* Исправлена ошибка с логами LOCAL, у которых небыло предыдущих заходов.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.005 - 2022.04.16

* Исправлена опечатка: acept ➜ accept (удалите правило httpacept, если создавали и пересоздайте его после обновления)
* Исправлена точность подсчета POST статусов в разделе статистики.
* В конфиг добавлена возможность включать/отключать отображение ошибок.
* В конфиг добавлена возможность менять часовой пояс.
* Доработаны языковые файлы и перевод админ панели.

------------------------------------------------------------------------

v. 8.004 - 2022.04.13

* Обновлены гео базы.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.003 - 2022.04.12

* Обновлены гео базы.
* Мелкие исправления и дополнения.

------------------------------------------------------------------------

v. 8.002 - 2022.04.11

* Обновлены гео базы.
* Обновлены языковые файлы страницы проверки.
* Исправлена совместимость с php 8.1
* Прочие мелкие исправления.

------------------------------------------------------------------------

v. 8.001 - 2022.04.09

* Публичная альфа версия

------------------------------------------------------------------------

v. 8.000 - 2022.01.16

* Первая приватная альфа версия

------------------------------------------------------------------------

Лог изменений старых версий:

https://antibot.cloud/static/update/changelog7_ru.txt
https://antibot.cloud/static/update/changelog6.txt
